| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
DataProvider::NullDataProviderFactory Class Reference

The null data provider factory. More...

`#include <NullDataProviderFactory.qc.dox.h>`

Inheritance diagram for DataProvider::NullDataProviderFactory:
[legend]

## Protected Member Functions
Class | getClassImpl ()
| Returns the class for the data provider object.
hash< DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info.
hash< DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information.
Protected Member Functions inherited from DataProvider::AbstractDataProviderFactory
| error (string err, string fmt,...)
| thrown an exception
abstract Class | getClassImpl ()
| Returns the class for the data provider object.
list< hash< auto > > | getExampleProviderRecordOutputImpl (InputStream example, *hash< auto > constructor_options)
| Returns information about a data provider constructor given the example data as an argument.
abstract hash< DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info.
string | getNameImpl ()
| Returns the name of the data provider factory.
AbstractDataProvider | getProviderFromExampleImpl (InputStream example, *hash< auto > constructor_options)
| Returns a data provider given the example data and constructor options as arguments.
abstract hash< DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information.

## Protected Attributes
const | FactoryInfo = ...
| Factory info.

## Static Protected Attributes
static Class | cls = new Class("NullDataProvider")
| Data provider type info.

## Additional Inherited Members
Public Member Functions inherited from DataProvider::AbstractDataProviderFactory
AbstractDataProvider | create (*hash< auto > options)
| Creates an object from the given constructor options.
AbstractDataProvider | createWithTemplate (*hash< auto > template_options, *hash< auto > options)
| Creates an object from the given constructor options.
Class | getClass ()
| Returns the class for the data provider object.
list< hash< auto > > | getExampleProviderRecordOutput (data example, *hash< auto > constructor_options)
| Returns information about a data provider constructor given the example data as an argument.
list< hash< auto > > | getExampleProviderRecordOutput (InputStream example, *hash< auto > constructor_options)
| Returns information about a data provider constructor given the example data as an argument.
hash< DataProviderFactoryInfo > | getInfo ()
| Returns static factory information.
hash< auto > | getInfoAsData (*bool with_type_info)
| Returns static provider information as data; no objects are returned.
string | getName ()
| Returns the name of the data provider factory.
AbstractDataProvider | getProviderFromExample (data example, *hash< auto > constructor_options)
| Returns a data provider given the example data and constructor options as arguments.
AbstractDataProvider | getProviderFromExample (InputStream example, *hash< auto > constructor_options)
| Returns a data provider given the example data and constructor options as arguments.
hash< DataProviderInfo > | getProviderInfo ()
| Returns static provider information.

## Detailed Description

The null data provider factory.

## Member Function Documentation

## ◆ getInfoImpl()

hash< DataProviderFactoryInfo > DataProvider::NullDataProviderFactory::getInfoImpl | ( |  | ) |
| protected

Returns static factory information without provider_info.

Returns
  static factory information without provider_info which is provided by getProviderInfo()